﻿using System;
using System.Text;
using System.Security.Cryptography;

namespace Encryption
{
    public class Encryption
    {
        // Taken from https://stackoverflow.com/questions/11413576/how-to-implement-triple-des-in-c-sharp-complete-example
        public static string Encrypt(string toEncrypt, string key, string IV)
        {
            byte[] keyArray;
            byte[] toEncryptArray = UTF8Encoding.UTF8.GetBytes(toEncrypt);

            AesCryptoServiceProvider provider = new AesCryptoServiceProvider();

            // Pad the key if necessary.
            int keySizeInBytes = provider.KeySize / 8;
            if (key.Length < keySizeInBytes)
            {
                key = key.PadRight(keySizeInBytes, '$');
            }
            keyArray = UTF8Encoding.UTF8.GetBytes(key);
            byte[] IVArray = UTF8Encoding.UTF8.GetBytes(IV);

            provider.Mode = CipherMode.CBC;
            provider.Padding = PaddingMode.PKCS7;
            provider.IV = IVArray;
            provider.Key = keyArray;

            ICryptoTransform cTransform = provider.CreateEncryptor();
            //transform the specified region of bytes array to resultArray
            byte[] resultArray = cTransform.TransformFinalBlock(toEncryptArray, 0, toEncryptArray.Length);
            //Release resources held by Encryptor
            provider.Clear();
            //Return the encrypted data into unreadable string format
            return Convert.ToBase64String(resultArray, 0, resultArray.Length);
        }

        public static string Decrypt(string toDecrypt, string key, string IV)
        {
            byte[] keyArray;
            //get the byte code of the string

            byte[] toDecryptArray = Convert.FromBase64String(toDecrypt);

            AesCryptoServiceProvider provider = new AesCryptoServiceProvider();

            // Pad the key if necessary.
            int keySizeInBytes = provider.KeySize / 8;
            if (key.Length < keySizeInBytes)
            {
                key = key.PadRight(keySizeInBytes, '$');
            }

            keyArray = UTF8Encoding.UTF8.GetBytes(key);
            byte[] IVArray = UTF8Encoding.UTF8.GetBytes(IV);

            provider.Mode = CipherMode.CBC;
            provider.Padding = PaddingMode.PKCS7;
            provider.IV = IVArray;
            provider.Key = keyArray;

            ICryptoTransform cTransform = provider.CreateDecryptor();
            byte[] resultArray = cTransform.TransformFinalBlock(toDecryptArray, 0, toDecryptArray.Length);
            //Release resources held by Encryptor                
            provider.Clear();
            //return the Clear decrypted TEXT
            return UTF8Encoding.UTF8.GetString(resultArray);
        }
    }
}
