﻿using System.Windows.Forms;

namespace FileDialog
{
    public class Dialogs
    {
        public string DefaultExt { get; set; }
        public string FileName { get; set; }
        public string InitialDir { get; set; }
        public string Title { get; set; }
        public string Filter { get; set; }
        public int FilterIndex { get; set; }
        public bool MultiSelect { get; set; }

        public string ShowOpenDialog()
        {
            string fileName = "";
            OpenFileDialog dialog = new OpenFileDialog();
            dialog.FileName = FileName;
            dialog.DefaultExt = DefaultExt;
            dialog.InitialDirectory = InitialDir;
            dialog.Title = Title;
            dialog.Filter = Filter;
            dialog.FilterIndex = FilterIndex;
            dialog.Multiselect = MultiSelect;

            if (dialog.ShowDialog() == DialogResult.OK)
            {
                if (dialog.FileNames.Length > 0)
                {
                    foreach (string file in dialog.FileNames)
                    {
                        fileName += file + "\n";
                    }
                }
                else
                {
                    fileName = dialog.FileName;
                }
            }
            else
            {
                fileName = "";
            }
            return fileName;
        }

        public string ShowSaveDialog()
        {
            string fileName;
            SaveFileDialog dialog = new SaveFileDialog();
            dialog.FileName = FileName;
            dialog.DefaultExt = DefaultExt;
            dialog.InitialDirectory = InitialDir;
            dialog.Title = Title;
            dialog.Filter = Filter;
            dialog.FilterIndex = FilterIndex;

            if (dialog.ShowDialog() == DialogResult.OK)
                fileName = dialog.FileName;
            else
                fileName = "";
            return fileName;
        }
    }
}
