*==============================================================================
* Method:			EncryptString
* Purpose:			Encrypt a string
* Author:			Doug Hennig
* Last Revision:	10/05/2017
* Parameters:		tcString - the string to encrypt
*					tcKey    - a key to encrypt against
* Returns:			the encrypted string
* Environment in:	oBridge contains an instance of wwDotNetBridge
*					Encryption.dll has been loaded
* Environment out:	none
*==============================================================================

lparameters tcString, ;
	tcKey

* Handle a blank string or key.

if empty(tcString) or empty(tcKey)
	return tcString
endif empty(tcString) ...

* The new code uses Encryption.DLL to do the encrypting. Add a CHR(1) to the
* end so Decrypt can tell whether a string was encrypted with new or old code.

return oBridge.InvokeStaticMethod('Encryption.Encryption', 'Encrypt', ;
	trim(tcString), tcKey, chr(102) + chr(57) + chr(110) + chr(73) + ;
	chr(73) + chr(71) + chr(97) + chr(89) + chr(70) + chr(51) + chr(54) + ;
	chr(97) + chr(69) + chr(55) + chr(48) + chr(68)) + chr(1)
