*==============================================================================
* Method:			FormatString
* Purpose:			Formats a string
* Author:			Rick Strahl (adapted by Doug Hennig)
* Last Revision:	10/05/2017
* Parameters:		tcFormat  - the format string to use
*					tuValue1  - the first value to insert into the string
*						(optional)
*					tuValue2  - the second value to insert into the string
*						(optional)
*					tuValue3  - the third value to insert into the string
*						(optional)
*					tuValue4  - the fourth value to insert into the string
*						(optional)
*					tuValue5  - the fifth value to insert into the string
*						(optional)
*					tuValue6  - the sixth value to insert into the string
*						(optional)
*					tuValue7  - the seventh value to insert into the string
*						(optional)
*					tuValue8  - the eighth value to insert into the string
*						(optional)
*					tuValue9  - the ninth value to insert into the string
*						(optional)
*					tuValue10 - the tenth value to insert into the string
*						(optional)
* Returns:			the formatted string
* Environment in:	wwDotNetBridge.prg and associated files are available
* Environment out:	wwDotNetBridge.prg is open as a procedure file
*					__DOTNETBRIDGE is a public variable containing an instance
*						of wwDotNetBridge
*==============================================================================

lparameters tcFormat, ;
	tuValue1, ;
	tuValue2, ;
	tuValue3, ;
	tuValue4, ;
	tuValue5, ;
	tuValue6, ;
	tuValue7, ;
	tuValue8, ;
	tuValue9, ;
	tuValue10
local lnParms, ;
	loBridge
lnParms = pcount()
do wwDotNetBridge
loBridge = GetwwDotNetBridge()
do case
	case lnParms = 2
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1)
	case lnParms = 3
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2)
	case lnParms = 4
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2, tuValue3)
	case lnParms = 5
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2, tuValue3, tuValue4)
	case lnParms = 6
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2, tuValue3, tuValue4, tuValue5)
	case lnParms = 7
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2, tuValue3, tuValue4, tuValue5, ;
			tuValue6)
	case lnParms = 8
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2, tuValue3, tuValue4, tuValue5, ;
			tuValue6, tuValue7)
	case lnParms = 9
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2, tuValue3, tuValue4, tuValue5, ;
			tuValue6, tuValue7, tuValue8)
	case lnParms = 10
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2, tuValue3, tuValue4, tuValue5, ;
			tuValue6, tuValue7, tuValue8, tuValue9)
	case lnParms = 11
		return loBridge.InvokeStaticMethod('System.String', 'Format', ;
			tcFormat, tuValue1, tuValue2, tuValue3, tuValue4, tuValue5, ;
			tuValue6, tuValue7, tuValue8, tuValue10)
	otherwise
		throw 'Too many parameters for FormatString'
endcase
