*==============================================================================
* Method:			FormatValue
* Purpose:			Formats a value
* Author:			Rick Strahl (adapted by Doug Hennig)
* Last Revision:	10/05/2017
* Parameters:		tuValue        - the value to format
*					tcFormatString - the format string to use
* Returns:			the formatted value or "null" if it was null
* Environment in:	wwDotNetBridge.prg and associated files are available
* Environment out:	wwDotNetBridge.prg is open as a procedure file
*					__DOTNETBRIDGE is a public variable containing an instance
*						of wwDotNetBridge
*==============================================================================

lparameters tuValue, ;
	tcFormatString
local loBridge, ;
	lcResult
if isnull(tuValue)
	return 'null'
endif isnull(tuValue)
do wwDotNetBridge
loBridge = GetwwDotNetBridge()
if empty(tcFormatString)
	lcResult = loBridge.InvokeMethod(tuValue, 'ToString')
else
	lcResult = loBridge.InvokeMethod(tuValue, 'ToString', tcFormatString)
endif empty(tcFormatString)
return lcResult
