* Set up wwDotNetBridge and instantiate the FoxHumanizer class.

do wwDotNetBridge
loBridge = GetwwDotNetBridge()
loBridge.LoadAssembly('FoxHumanizer.dll')
loHuman = loBridge.CreateInstance('FoxHumanizer.FoxHumanizer')

* Humanize dates.

messagebox('date() - 1: ' + loHuman.HumanizeDate(date() - 1) + chr(13) + ;
	'datetime() - 2 * 60 * 60: ' + ;
		loHuman.HumanizeDate(datetime() - 2 * 60 * 60) + chr(13) + ;
	'gomonth(date(), -1): ' + loHuman.HumanizeDate(gomonth(date(), -1)))

* Handle a non-current culture (German in this case).

loCulture = loBridge.CreateInstance('System.Globalization.CultureInfo', ;
	'de-DE')
messagebox('For German, date() - 1 displays as ' + ;
	loHuman.HumanizeDateForCulture(date() - 1, loCulture))

* Humanize numbers.

messagebox('NumberToOrdinal(3): ' + loHuman.NumberToOrdinal(3) + chr(13) + ;
	'NumberToOrdinalWords(3): ' + loHuman.NumberToOrdinalWords(3) + chr(13) + ;
	'ToByteSize(13122): ' + loHuman.ToByteSize(13122) + chr(13) + ;
	'ToByteSize(1221221): ' + loHuman.ToByteSize(1221221) + chr(13) + ;
	'NumberToWords(15): ' + loHuman.NumberToWords(15))

* NumberToWords only handles integers so we'll split up dollars and cents.

lnAmount  = 12345.67
lnDollars = int(lnAmount)
lnCents   = (lnAmount - lnDollars) * 100
messagebox('12345.67: ' + FormatString('{0} dollars and {1} cents', ;
	loHuman.NumberToWords(lnDollars), loHuman.NumberToWords(lnCents)))

* Humanize strings.

messagebox("ToQuantity('dollar', 3): " + loHuman.ToQuantity('dollar', 3) + ;
		chr(13) + ;
	"Pluralize('speaker'): " + loHuman.Pluralize('speaker') + chr(13) + ;
	"Pluralize('person'): " + loHuman.Pluralize('person') + chr(13) + ;
	"Singularize('mice'): " + loHuman.Singularize('mice') + chr(13) + ;
	"Humanize('PascalCaseString'): " + loHuman.Humanize('PascalCaseString') + ;
		chr(13) + ;
	"Humanize('Underscored_String'): " + ;
		loHuman.Humanize('Underscored_String'))
